#!perl -T

use strict;
use warnings;
use utf8;

use Test::More tests => 4;

use List::Filters 'filter';

our $VERSION = 0.05;

my @t = 1 .. 3;
is( eval { filter { a => undef }, @t } || undef, undef, 'error_notref_undef' );
is( eval { filter { a => 'a' },   @t } || undef, undef, 'error_notref_def' );
is( eval { filter { a => [] },    @t } || undef, undef, 'error_badref_array' );
is( eval { filter { a => \{} },   @t } || undef, undef, 'error_badref_double' );
